#include<iostream>
#include<cmath>
using namespace std;
main()
{
     int V, d, k, broj, br, stepen;
     cout<< "Unesi sumu V";
     cin>> V;
     
    if(V<=1){
     
         for(d=5; d>0; d--)
         {
             if( d==1 || d==2 d|| d=5)
             {
                 for(k=5; k>0; k--)
                 {
                     if(k==1 || k==2 || k==5)
                     {    stepen= Pow(10, k);
                          broj= d* stepen;
                          while(V% broj!=0)
                          {
                              br++;
                              V= V-(broj*br);
                          }
                     }
                 }
                 while(V%d!=0)
                 {
                     br++;
                     V=V-(br*d);
                 }
             }
         }
         cout<< br;

    }
     
}